import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_haveged_is_installed(host):
    haveged = host.package("haveged")
    assert haveged.is_installed


def test_haveged_running_and_enabled(host):
    haveged = host.service("haveged")
    assert haveged.is_running
    assert haveged.is_enabled
